# libgpg-error 1.61 — lib C base (de-Alpinizada, Etapa G). compiler=zig-cc (migrado de gcc, matar-gcc 2026-07-16), configure-split, estático.
name    = "libgpg-error"
version = "1.61"
license = "LGPL-2.1-or-later"

[source]
tarball = "https://gnupg.org/ftp/gcrypt/libgpg-error/libgpg-error-1.61.tar.bz2"
sha256  = "7a85413f2bc354f4f8aa832b718af122e48965e9e0eb9012ee659c13c6385c93"

[build]
compiler = "zig-cc"
target   = "x86_64-linux-musl"
link     = "static"
flags    = []

[deps]
build = ["make"]

[build.phases]
configure = './configure --build=$CBUILD --host=$CHOST --prefix=/usr --disable-shared --enable-static --disable-doc --disable-tests --enable-install-gpg-error-config'
compile   = 'make LDFLAGS="-all-static -no-pie" -j"$(nproc)"'
install   = 'make DESTDIR=/out install LDFLAGS="-all-static -no-pie"'

